function [p,Lp]=RayleighN(x,th)
  // Rayleigh pdf
  // x    data
  // th   parameter  th=r=sig^2
  
  n=length(x);
  Lp=0;
  for i=1:n
    Lp=Lp+log(x(i)/th(i))-.5*x(i)^2/th(i);
  end
  p=exp(Lp);
endfunction
