function f=pyrdst2(x,L,U)
  // f=pyrdst2(x,L,U)         pyramidal distribution for x\in R2
  // x    poinr
  // L    lower border
  // U    upper border
  // f    value 

  P1=x(2)-S(2) < k(2)/k(1)*(x(1)-S(1));
  P2=x(2)-S(2) < -k(2)/k(1)*(x(1)-S(1));

  if (abs(x(1)-S(1))>(U(1)-S(1))) | (abs(x(2)-S(2))>(U(2)-S(2)))
    f=0;            // outside from the base
  else
    if (P1 & x(1)>S(1)) | (P2 & x(1)<S(1))
      f=6/(U(1)-L(1))^2/(U(2)-L(2))*abs(U(1)-x(1))  // left and right
    else
      f=6/(U(2)-L(2))^2/(U(1)-L(1))*abs(U(2)-x(2))  // up and down
    end  
  end
endfunction
