function [y,mD,sD]=scal(x,mD,sD)                                     
  // y=scal(x)   scaling data for init
  // y  scaled data
  // mD mean of channels
  // sD standard deviation of channels
  // x  data to be filtered (in rows !!!)

  [m,n]=size(x);
  if argn(2)<2
    mD=mean(x,'c');
    sD=sqrt(variance(x,'c'));
  end
  ii=find(sD==0);
  sD(ii)=1;
  mD=mD(:); sD=sD(:);
  y=(x-mD*ones(1,n))./(sD*ones(1,n));
endfunction
