// Identifikace modelu auta (např. sp = fce(pl,ot))                                  
exec("ScIntro.sce",-1),mode(0),funcprot(0); //stacksize('max')       
load _data/dataAuto                              
// Veličiny, uložené v řádcích loadované matice dt
// 1  SPOTREBA      y1//     // 9  PRIC-ZRYCH    v3//   
// 2  RYCHLOST      y2//     //10  STAC-SPEED    v4//   
// 3  VOLANT        u0//     //11  ROAD-CAN      v5//   
// 4  PLYN          u1//     //12  CAS-UTC       v6//   
// 5  BRZDA         u2//     //13  UTM-X2        v7//   
// 6  RYCH.STUPEN   u3//     //14  UTM-Y2        v8//   
// 7  MOMENT-MOT    v1//     //15  ALTITUDE2     v9//   
// 8  OTACKY-MOT    v2//     //16  COURSE       v10// 
                                                        
nrm=0;                             // normování dat 1=ano,0=ne
ord=2;                             // řád modelu pro odhad
nn=50;                             // maximální zpoždění !! ord<=nn !!  
nd=40000;                          // počet dat (max 74000)
              
y=dt(8,nn+1:(nd+nn));              // volba výstupu: 8=otáčky                 
x=dt(4,1:(nd+nn));                 // volba veličin: 4=plyn
                                                  
if nrm, xn=scal(x); else xn=x; end // normování: mean=0, var=1
                                                  
xp=[]; // xn(:,nn+(1:nd));                // konstrukce regresních vektorů
for i=1:ord                                       
  xp=[xp; xn(:,nn-i+(1:nd))];      // zpožděné veličiny               
end                                               
xp=[xp; ones(1,nd)];               // konstnta kodelu      
                                                                        
th=inv(xp*xp')*xp*y'               // odhad parametrů (nejm. čtverce)
yp=xp'*th;                         // odhad výstupu

plot([y' yp])                      // graf

SE=sqrt((y'-yp)'*(y'-yp))/nd       // tisk
