function [p,Lp]=HnormN(y,s)
  // Half-normal distribution   f(x)=sqrt(2/pi)/s*exp(-x^2/(2s^2))
  // y    data (column vector)
  // s    parameter of HNm [std-like] (column vector)
  n=length(y);
  Lp=0;
  for i=1:n
    Lp=Lp-log(s(i))+.5*log(2)-.5*log(%pi)-y(i)^2./(2*s(i)^2);
  end
  p=exp(Lp);
endfunction
