function x=getx(dim,dt)
  // x=getx(dim,dt)   get state (with statndard state structure)
  // dim     dimensions
  // dt      data
  // x       state

  chy=dim.chy;
  chu=dim.chu;
  chv=dim.chv;
  ord=dim.ord;
  t=dt.t;

  x=[];
  for i=1:ord
    xy=dt.d(chy,t);
    xu=dt.d(chu,t);
    xv=dt.d(chv,t);
    x=[x; xy(:); xu(:); xv(:)];
  end

  x=[x; 1];
endfunction
