function [ct,wt]=lrTestD(x,Est,al,tab,bx)
  // ct=lrTestD(x,Est,al)      test data with model from "lrLearnD"
  //                          Mixture logistic regressiom - categ.
  // x    tested data item
  // Est  estimation structure  Est.th, Est.cv
  // al   stationary komponents probabilities
  // ct   estimated class labels

  nc=max(size(Est));
  nd=size(x,2);
  ct=zeros(1,nd);
  wt=zeros(nc,nd);
  tbN=fnorm(tab+1e-8,2);
  for t=1:nd
    k=psi2row(x(:,t),bx);
    wt(:,t)=tbN(k,:)';
    [xxx, ct(t)]=max(tbN(k,:));
  end
endfunction
